{% extends "pghero/admin_base.html" %}


{% block breadcrumbs_extra %}
&rsaquo; Indexes
{% endblock breadcrumbs_extra %}


{% block content %}
<div id="content-main">
  <h1>Missing Indexes</h1>

  <p>These tables have a large number of rows but indexes are not used often. Add indexes for faster queries.</p>

  <div class="module">
    <table class="table">
      <thead>
        <tr>
          <th>Table</th>
          <th>% of Time Index Used</th>
          <th>Rows in Table</th>
        </tr>
      </thead>
      <tbody>
        {% for object in index_usage %}
          <tr class="{% cycle "row2" "row1" %}">
            <td>{{ object.table }}</td>
            <td style="width: 30%;">{{ object.percent_of_times_index_used }}</td>
            <td style="width: 20%;">{{ object.rows_in_table }}</td>
          </tr>
        {% endfor %}
      </tbody>
    </table>
  </div>
</div>
{% endblock content %}
